package com.v1.config;

import org.springframework.beans.factory.annotation.Autowired;

import javax.servlet.ServletContextEvent;
import javax.servlet.ServletContextListener;
import javax.servlet.annotation.WebListener;

@WebListener
public class ConfigListener implements ServletContextListener {

	@Autowired
	private SysConfig sysConfig;
	
	@Override
	public void contextInitialized(ServletContextEvent sce) {
		 SysConst.setSysConfig(sysConfig);
	}

	@Override
	public void contextDestroyed(ServletContextEvent sce) {
	}

}
